#include <linux/kernel.h>

#define stderr 4242
#define fprintf(f, x...) \
do { \
	if (f == stderr) { \
		printk(KERN_ERR "lmawk "); \
		printk(x); \
	} \
} while(0)

#define vfprintf(f, x...) \
do { \
	if (f == stderr) { \
		printk(KERN_ERR "lmawk "); \
		vprintk(x); \
	} \
} while(0)

#define putc(c, f) \
do { \
	if (f == stderr) \
		printk("%c", c); \
} while(0)
